- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Updates an existing audit schedule.
HTTP request
PATCH https://auditmanager.googleapis.com/v1/{auditSchedule.name=projects/*/locations/*/auditSchedules/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
auditSchedule.name |
Identifier. Unique identifier for the audit schedule. Format: projects/{project}/locations/{location}/auditSchedules/{auditSchedule} folders/{folder}/locations/{location}/auditSchedules/{auditSchedule} organizations/{organization}/locations/{location}/auditSchedules/{auditSchedule} |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. List of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
validateOnly |
Optional. If Use this field for the following purposes: * Infrastructure as Code (IaC): Allow tools like Terraform to run dry-run mutations (e.g., |
Request body
The request body contains an instance of AuditSchedule.
Response body
If successful, the response body contains an instance of AuditSchedule.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-auditmanager
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
auditmanager.auditSchedules.update
For more information, see the IAM documentation.